%{!?_httpd_confdir: %{expand: %%global _httpd_confdir %%{_sysconfdir}/httpd/conf.d}}
%{!?_httpd_modconfdir: %{expand: %%global _httpd_modconfdir %{_sysconfdir}/httpd/conf.modules.d}}
%{!?_httpd_moddir: %{expand: %%global _httpd_moddir %{_libdir}/httpd/modules}}

Name:		mod_amf
Version:	1.0.1
Release:	1%{?dist}
Summary:	Apache 2.0+ module that provides ASP.NET functionality.

Group:		System Environment/Daemons
License:	ASL 2.0
URL:		http://www.apachemobilefilter.org
Source0:	http://sourceforge.net/projects/mobilefilter/files/mod_amf/mod_amf.1.0.1.tar.gz
Source1:    %{name}.conf
Source2:    10-%{name}.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: httpd-devel
Requires: httpd-mmn = %{_httpd_mmn}

%description
Apache 2.0+ module that provides ASP.NET functionality.

%prep
%setup -q -c

%build
apxs -ca %{name}.c

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_httpd_confdir}
mkdir -p $RPM_BUILD_ROOT%{_httpd_moddir}
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
mkdir -p $RPM_BUILD_ROOT%{_httpd_modconfdir}
rm -f $RPM_BUILD_ROOT%{_httpd_confdir}/%{name}.conf
install -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_httpd_modconfdir}/10-%{name}.conf
install -D -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_httpd_confdir}/%{name}.conf
%else
cat %{SOURCE1} %{SOURCE2} > %{name}.conf.tmp
install -D -m0644 %{name}.conf.tmp $RPM_BUILD_ROOT%{_httpd_confdir}/%{name}.conf
%endif
install -D -m755 .libs/%{name}.so $RPM_BUILD_ROOT%{_httpd_moddir}/%{name}.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGE README
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
%config %{_httpd_modconfdir}/10-%{name}.conf
%endif
%config(noreplace) %{_httpd_confdir}/%{name}.conf
%{_httpd_moddir}/%{name}.so*

%changelog
* Mon Mar 10 2014 momo-i <webmaster@momo-i.org> - 1.0.1-1
- Initial rpm release.
